org.apache.ignite.cache.affinity

## Class AffinityNodeIdHashResolver

- java.lang.Object
- - org.apache.ignite.cache.affinity.AffinityNodeIdHashResolver

All Implemented Interfaces:
  Serializable, AffinityNodeHashResolver

Deprecated.
Use `IgniteConfiguration.setConsistentId(Serializable)` instead.

    @Deprecated
    public class AffinityNodeIdHashResolver
    extends Object
    implements AffinityNodeHashResolver

Node hash resolver which uses generated node ID as node hash value. As new node ID is generated on each node start, this resolver do not provide ability to map keys to the same nodes after restart.

See Also:
  Serialized Form

### Constructor Summary

Constructors
Constructor and Description
`AffinityNodeIdHashResolver()` Deprecated.

### Method Summary

Methods
`Object` `resolve(ClusterNode node)` Deprecated. Resolve alternate hash value for the given Grid node.
`String` `toString()` Deprecated.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### AffinityNodeIdHashResolver

    public AffinityNodeIdHashResolver()

Deprecated.

### Method Detail

#### resolve

    public Object resolve(ClusterNode node)

Deprecated.
Resolve alternate hash value for the given Grid node.

Specified by:
  `resolve` in interface `AffinityNodeHashResolver`
Parameters:
  `node` - Grid node.
Returns:
  Resolved hash ID.

#### toString

    public String toString()

Deprecated.

Overrides:
  `toString` in class `Object`

2015 Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Fabric | : ver. 1.4.0
Release Date | : September 24 2015